<html xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{blocks/layout}">
<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <title>News</title>
</head>

<div layout:fragment="content">
    <div class="p-2 m-5">
        <div class="text-center mb-3">
            <h1 class="about-title">Новости</h1>
        </div>
        <div sec:authorize="isAuthenticated()">
            <div class="d-flex justify-content-center">
                <a href="/news/add" class="btn btn-primary mb-4">Добавить</a>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-4 col-md-12 mb-4"
                 th:each="article : ${articles}">
                <a th:href="@{'/news/' + ${article.id}}">
                    <div class="jumbotron justify-content-center">
                        <p th:text="${article.title}"
                           class="text-center font-weight-bold clr-main" style="font-size: 2rem;">
                        </p>
                        <img th:src="@{'/static/img/' + ${article.imgPath}}" th:alt="${article.imgPath}"
                             class="img-fluid mb-4">
                        <div sec:authorize="isAuthenticated()">
                            <div class="d-flex justify-content-end">
                                <form th:action="@{'/news/delete/' + ${article.id}}" method="post">
                                    <button onclick="alert('Вы действительно хотите удалить данную статью?')"
                                            class="btn btn-danger" type="submit">Удалить</button>
                                    <a th:href="@{'/news/edit/' + ${article.id}}" class="btn btn-success">Изменить</a>
                                </form>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
    </div>
</div>